Bug 26503 - Allow to limit on standing orders in acquisition advanced search
Summary: Allow to limit on standing orders in acquisition advanced search
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Tomás Cohen Arazi
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-21 14:47 UTC by Katrin Fischer
Modified: 2020-11-10 22:39 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26503: Add limit for standing orders to acq advanced search (15.95 KB, patch)
2020-09-21 22:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26503: Add unit tests (2.10 KB, patch)
2020-09-21 22:50 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26503: Add limit for standing orders to acq advanced search (16.00 KB, patch)
2020-09-22 12:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 26503: Add unit tests (2.15 KB, patch)
2020-09-22 12:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 26503: Add limit for standing orders to acq advanced search (5.38 KB, patch)
2020-10-09 20:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26503: Add unit tests (2.15 KB, patch)
2020-10-09 20:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26503: Add limit for standing orders to acq advanced search (5.43 KB, patch)
2020-10-09 20:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26503: Add unit tests (2.20 KB, patch)
2020-10-09 20:35 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 26503: Add unit tests (2.41 KB, patch)
2020-10-12 09:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-09-21 14:47:30 UTC
As standing orders don't have their own status but remain as 'new' it would be nice if the advanced search form in the acqusitions module allowed for limiting on standing orders, maybe using a checkbox.
Comment 1 Katrin Fischer 2020-09-21 22:39:29 UTC
Created attachment 110521 [details] [review]
Bug 26503: Add limit for standing orders to acq advanced search

This allows to filter on standing orders on the acq advanced search
checkbox. For this purpose a new checkbox is shown behind the order
status search option.

As both not yet ordered and standing orders have the status
'new' or partially received internally, this seems like a good
placement as it will help distinguish these cases clearly.

new + standing order = standing order, but nothing received yet
partially received + standing order = active standing order
all status + standing order = all standing orders

To test:
- Create some baskets with at least one order, some 'standing' and
  others not
- In the top toolbar choose tab Orders search > Advanced search
- Make some searches with and without the new 'Standing order' option
- Verify the right orders are found
- In the search results standing orders will now show with the
  status + (standing order).
Comment 2 Katrin Fischer 2020-09-21 22:50:25 UTC
Created attachment 110522 [details] [review]
Bug 26503: Add unit tests

Run
  prove t/db_dependent/Acquisition.t

Verify all tests pass.
Comment 3 David Nind 2020-09-22 12:50:33 UTC
Created attachment 110549 [details] [review]
Bug 26503: Add limit for standing orders to acq advanced search

This allows to filter on standing orders on the acq advanced search
checkbox. For this purpose a new checkbox is shown behind the order
status search option.

As both not yet ordered and standing orders have the status
'new' or partially received internally, this seems like a good
placement as it will help distinguish these cases clearly.

new + standing order = standing order, but nothing received yet
partially received + standing order = active standing order
all status + standing order = all standing orders

To test:
- Create some baskets with at least one order, some 'standing' and
  others not
- In the top toolbar choose tab Orders search > Advanced search
- Make some searches with and without the new 'Standing order' option
- Verify the right orders are found
- In the search results standing orders will now show with the
  status + (standing order).

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2020-09-22 12:50:42 UTC
Created attachment 110550 [details] [review]
Bug 26503: Add unit tests

Run
  prove t/db_dependent/Acquisition.t

Verify all tests pass.

Signed-off-by: David Nind <david@davidnind.com>
Comment 5 Tomás Cohen Arazi 2020-10-09 14:51:44 UTC
Can you remove the changes to MARC21slimUtils?
Comment 6 Katrin Fischer 2020-10-09 20:10:46 UTC
Sorry, of course, that one slipped in untintentionally.
Comment 7 Katrin Fischer 2020-10-09 20:17:56 UTC
Created attachment 111431 [details] [review]
Bug 26503: Add limit for standing orders to acq advanced search

This allows to filter on standing orders on the acq advanced search
checkbox. For this purpose a new checkbox is shown behind the order
status search option.

As both not yet ordered and standing orders have the status
'new' or partially received internally, this seems like a good
placement as it will help distinguish these cases clearly.

new + standing order = standing order, but nothing received yet
partially received + standing order = active standing order
all status + standing order = all standing orders

To test:
- Create some baskets with at least one order, some 'standing' and
  others not
- In the top toolbar choose tab Orders search > Advanced search
- Make some searches with and without the new 'Standing order' option
- Verify the right orders are found
- In the search results standing orders will now show with the
  status + (standing order).

Signed-off-by: David Nind <david@davidnind.com>
Comment 8 Katrin Fischer 2020-10-09 20:18:01 UTC
Created attachment 111432 [details] [review]
Bug 26503: Add unit tests

Run
  prove t/db_dependent/Acquisition.t

Verify all tests pass.

Signed-off-by: David Nind <david@davidnind.com>
Comment 9 Tomás Cohen Arazi 2020-10-09 20:35:08 UTC
Created attachment 111433 [details] [review]
Bug 26503: Add limit for standing orders to acq advanced search

This allows to filter on standing orders on the acq advanced search
checkbox. For this purpose a new checkbox is shown behind the order
status search option.

As both not yet ordered and standing orders have the status
'new' or partially received internally, this seems like a good
placement as it will help distinguish these cases clearly.

new + standing order = standing order, but nothing received yet
partially received + standing order = active standing order
all status + standing order = all standing orders

To test:
- Create some baskets with at least one order, some 'standing' and
  others not
- In the top toolbar choose tab Orders search > Advanced search
- Make some searches with and without the new 'Standing order' option
- Verify the right orders are found
- In the search results standing orders will now show with the
  status + (standing order).

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 10 Tomás Cohen Arazi 2020-10-09 20:35:14 UTC
Created attachment 111434 [details] [review]
Bug 26503: Add unit tests

Run
  prove t/db_dependent/Acquisition.t

Verify all tests pass.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 11 Tomás Cohen Arazi 2020-10-09 20:37:16 UTC
Added a few baskets and orders (standing and not), filtering on 'is_standing' works as expected.
Tests pass.
No QA script complaints.

Well done, Katrina!
Comment 12 Jonathan Druart 2020-10-12 09:08:43 UTC
Created attachment 111483 [details] [review]
Bug 26503: Add unit tests

Run
  prove t/db_dependent/Acquisition.t

Verify all tests pass.

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

JD Amended patch: perltidy
Comment 13 Jonathan Druart 2020-10-12 09:31:07 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 14 Lucas Gass 2020-11-10 22:39:57 UTC
enhancement will not be backported to 20.05.x